Jump to content
mikkino

Fatal Error: Class 'tools' Not Found In /config/config.inc.php On Line 80

Recommended Posts

Hello, please help :/ I have fatal error on PS 1.6.1.2 



Fatal Error: Class 'tools' Not Found In /config/config.inc.php On Line 80

 


on line 80 is:


 


if (Tools::convertBytes(ini_get('upload_max_filesize')) < Tools::convertBytes('100M')) {


 


Thanks for your help!


Edited by mikkino (see edit history)

Share this post


Link to post
Share on other sites

Odd, did you upgrade? I'd suggest you grab the class and drop it in that folder from a clean package

  • Like 1

Share this post


Link to post
Share on other sites

Hello nemo.

i have the similiar error.

 

i'm not maintenance the website i don't know my clients do upgrade or no

but can i know how to solve this problems?

 

where i should grab the class and where i should put the fresh copy?

 

thanks,

Share this post


Link to post
Share on other sites

Hi,

 

Try deleting following file and check if it help.

 

/cache/class_index.php

 

hello, i'm trying to delete it because i'm read it on the other thread. but it's still not working :/

Share this post


Link to post
Share on other sites

Check below directory of your server

/classes

There should be a file with name Tools.php

 

If there is no such file then extract attached file to your server and let us know if it don't fix your issue.

 

Note: Attached file is compatible only for Prestashop v1.6.1.2

Tools.php.zip

Share this post


Link to post
Share on other sites

Check below directory of your server

/classes

There should be a file with name Tools.php

 

If there is no such file then extract attached file to your server and let us know if it don't fix your issue.

 

Note: Attached file is compatible only for Prestashop v1.6.1.2

 

and the error is change to

 

Fatal error: Class 'ObjectModel' not found in /home/inty8984/public_html/classes/shop/Shop.php on line 31

Share this post


Link to post
Share on other sites

Can you check if you have ObjectModal.php file in /classes directory on your server.

 

If it is there, then try again after deleting /cache/class_index.php file.

 

Let us know if it helps.

Share this post


Link to post
Share on other sites

Your prestashop installation seems to have gone nuts. Download a fresh package of the same version and replace the whole classes folder

Share this post


Link to post
Share on other sites

Odd, did you upgrade? I'd suggest you grab the class and drop it in that folder from a clean package

 

Hi, thanks for help, i copied original files, but not work.  Yes i upgraded PS from 1.3 to 1.6 :) Website work good, after few days stop working. Now is everything ok. I solved with deleting /cache/class_index.php.

Its work for me.

 

BUT this problem i have second time! Before i must set CHMOD permissions to 755 i think, i dont know now :)

Hi,

 

Try deleting following file and check if it help.

 

/cache/class_index.php

 

Yes , work for me now! But tell me please, this error can come back ???

Share this post


Link to post
Share on other sites

I have a new error in backoffice, i log in correctly to backoffice, but when i then click on anything(orders, modules, ...) i got blank screen with message:

 

Fatal error: Class 'HelperKpiRow' not found in /controllers/admin/AdminModulesController.php on line 1340

[PrestaShop] Fatal error in module file /controllers/admin/AdminModulesController.php:
Class 'HelperKpiRow' not found

 

on line 1340 is code: $helper = new HelperKpiRow();

 

Can i solve this ? :/

Share this post


Link to post
Share on other sites

Check if you have that in classes/helper. If not, just download a clean package and add it from there

Share this post


Link to post
Share on other sites

Check if you have that in classes/helper. If not, just download a clean package and add it from there

 

Hi yes i have all files. But error coming back about 1-2time for a week :/ I always delete /cache/class_index.php and then website work OK. What is it, bug ? Can i solve this ?

Share this post


Link to post
Share on other sites

It would sound like it's not caching it. Hard to fix this one, there might be some piece of code (override maybe, or core modification?) preventing it from saving correctly

Share this post


Link to post
Share on other sites

I have a similar problem when trying to run a 1.6.4.1 clean install on MAMP:

 

Fatal error: Uncaught Error: Class 'Tools' not found in /Applications/MAMP/htdocs/presta1.6.4.1/classes/PrestaShopAutoload.php:168 Stack trace: #0 /Applications/MAMP/htdocs/presta1.6.4.1/classes/PrestaShopAutoload.php(68): PrestaShopAutoload->generateIndex() #1 /Applications/MAMP/htdocs/presta1.6.4.1/classes/PrestaShopAutoload.php(80): PrestaShopAutoload->__construct() #2 /Applications/MAMP/htdocs/presta1.6.4.1/config/autoload.php(31): PrestaShopAutoload::getInstance() #3 /Applications/MAMP/htdocs/presta1.6.4.1/install/init.php(50): require_once('/Applications/M...') #4 /Applications/MAMP/htdocs/presta1.6.4.1/install/index.php(27): require_once('/Applications/M...') #5 {main} thrown in /Applications/MAMP/htdocs/presta1.6.4.1/classes/PrestaShopAutoload.php on line 168

 

The Tools.php file exists - this is a clean, intact download of 1.6.4.1.

 

The installer is loading fine, but fails almost immediately with the above error. I've installed Prestashop many many times successfully, but this is the first time on MAMP...

 

Any help appreciated.

Share this post


Link to post
Share on other sites

Fixed the problem by discarding MAMP Pro and using standard MAMP instead.

 

cause unknown.

 

I hope that this helps anyone else with the same issue

  • Like 2

Share this post


Link to post
Share on other sites

I have the below issue in my store could you please explain me how to fix this  step by step please. 

 

 

Warning: require_once(/home/actfrvlb/public_html/tools/smarty/plugins/function.mailto.php): failed to open stream: Permission denied in /home/actfrvlb/public_html/tools/smarty/Smarty.class.php on line1404

Fatal error: require_once(): Failed opening required '/home/actfrvlb/public_html/tools/smarty/plugins/function.mailto.php' (include_path='/home/actfrvlb/public_html/tools/htmlpurifier/standalone:.:/opt/alt/php54/usr/share/pear:/opt/alt/php54/usr/share/php') in /home/actfrvlb/public_html/tools/smarty/Smarty.class.php on line1404

Share this post


Link to post
Share on other sites

Sounds like the file/folder has not enough permissions. Make sure it's 755 at least for the folder

Share this post


Link to post
Share on other sites

 

Hi There,

 

I am getting this error on logs when i try to upgrade from 1.6.1.17 to 17.2.2 via 1 click upgrade

 

Core file(s) (3)

  • admin/autoupgrade/backup/index.php

config/defines.inc.php

img/favicon.ico

warning.gif Unable to generate diff file list between 1.6.1.17 and 1.6.1.17.

 

Share this post


Link to post
Share on other sites

Hello,

(This question is still being asked.)

Try to delete  /var/cache (for 1.7).

And/Or check please:

  • Take back what you did. (Like install a new module etc.)
  • File owner and permissions,
  • is there classes/Tools.php?
  • Replace all files with the same version.

Share this post


Link to post
Share on other sites

Hi

 I have an issue with my website and need help to fix this 

 

Warning: require(/home/rchemonl/public_html/config/config.inc.php): failed to open stream: No such file or directory in /home/rchemonl/public_html/index.php on line 27

Warning: require(/home/rchemonl/public_html/config/config.inc.php): failed to open stream: No such file or directory in /home/rchemonl/public_html/index.php on line 27

Fatal error: require(): Failed opening required '/home/rchemonl/public_html/config/config.inc.php' (include_path='.:/opt/alt/php70/usr/share/pear') in /home/rchemonl/public_html/index.php on line 27

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More